# Uses of Interface
org.eclipse.jface.text.ITextInputListener

Packages that use ITextInputListener
Package
Description
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.
org.eclipse.jface.text.hyperlink
Provides support for detecting and displaying hyperlinks in `ISourceViewer`s.

## Uses of ITextInputListener in org.eclipse.jface.text

Classes in org.eclipse.jface.text that implement ITextInputListener
Modifier and Type
Class
Description
`final class`
`PaintManager`
Manages the `IPainter` object registered with an `ITextViewer`.
Fields in org.eclipse.jface.text with type parameters of type ITextInputListener
Modifier and Type
Field
Description
`protected List<ITextInputListener>`
TextViewer.`fTextInputListeners`
All registered text input listeners
Methods in org.eclipse.jface.text with parameters of type ITextInputListener
Modifier and Type
Method
Description
`void`
ITextViewer.`addTextInputListener(ITextInputListener listener)`
Adds a text input listener to this viewer.
`void`
TextViewer.`addTextInputListener(ITextInputListener listener)`
`void`
ITextViewer.`removeTextInputListener(ITextInputListener listener)`
Removes the given listener from this viewer's set of text input listeners.
`void`
TextViewer.`removeTextInputListener(ITextInputListener listener)`

## Uses of ITextInputListener in org.eclipse.jface.text.hyperlink

Classes in org.eclipse.jface.text.hyperlink that implement ITextInputListener
Modifier and Type
Class
Description
`class`
`DefaultHyperlinkPresenter`
The default hyperlink presenter underlines the link and colors the line and the text with the given color.
`class`
`MultipleHyperlinkPresenter`
A hyperlink presenter capable of showing multiple hyperlinks in a hover.